<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getResetInfo](./bitburner.ns.getresetinfo.md)

## NS.getResetInfo() method

Get information about resets.

**Signature:**

```typescript
getResetInfo(): ResetInfo;
```
**Returns:**

[ResetInfo](./bitburner.resetinfo.md)

## Remarks

RAM cost: 1 GB

## Example


```js
const resetInfo = ns.getResetInfo();
const lastAugReset = resetInfo.lastAugReset;
ns.tprint(`The last augmentation reset was: ${new Date(lastAugReset)}`);
ns.tprint(`It has been ${Date.now() - lastAugReset}ms since the last augmentation reset.`);
```

